> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tabsglobal.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Beneficiary

> Remove a saved recipient profile from your merchant account.

Deletes a saved beneficiary by ID.

### Scopes required

`beneficiaries:write` or `*`

### Path parameters

<ParamField path="id" type="string" required>
  The unique beneficiary identifier.
</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer API secret key formatted as `Bearer sk_live_...` or `Bearer sk_test_...`.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  `true` if successfully deleted.
</ResponseField>

<ResponseField name="message" type="string">
  Confirmation message.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.tabsglobal.co/v1/beneficiaries/ben_4a8e2b1c-9f0d-4e5a-8b2c-1d0f3a4b5c6d" \
    -H "Authorization: Bearer sk_live_..."
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    "https://api.tabsglobal.co/v1/beneficiaries/ben_4a8e2b1c-9f0d-4e5a-8b2c-1d0f3a4b5c6d",
    {
      method: "DELETE",
      headers: {
        "Authorization": `Bearer ${process.env.TABS_SECRET_KEY}`,
      },
    }
  );

  const result = await response.json();
  console.log(result);
  ```

  ```python Python theme={null}
  import requests

  response = requests.delete(
      "https://api.tabsglobal.co/v1/beneficiaries/ben_4a8e2b1c-9f0d-4e5a-8b2c-1d0f3a4b5c6d",
      headers={"Authorization": f"Bearer {API_KEY}"},
  )
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "success": true,
    "message": "Beneficiary removed"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.